Bug 4166 - No way to know what keywords to use for Keyword Mapping
Summary: No way to know what keywords to use for Keyword Mapping
Status: RESOLVED WONTFIX
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Bugs List
QA Contact: Bugs List
URL:
Keywords:
Depends on: 11529
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-11 03:31 UTC by Nicole C. Engard
Modified: 2019-08-10 17:47 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:23:55 UTC


---- Reported by nengard@gmail.com 2010-02-11 15:31:01 ----

When using the Keyword Mapping administration page there is no way to know what keywords to use for the field name.  A look at the code shows that 'subtitle' is the only one so far - but as more are added there should be a pull down or a way to know what keywords you can use in the field.



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:23 UTC  ---

This bug was previously known as _bug_ 4166 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=4166

Actual time not defined. Setting to 0.0

Comment 1 Owen Leonard 2011-11-11 19:46:30 UTC
Changing severity, since without any keyword mappings for subtitle most pages won't show it.
Comment 2 Marc Véron 2013-06-16 23:10:39 UTC
	I did a search for GetRecordValue and found one place with other values than 'subtitle'.
	(BTW: I did not find any calls to GetRecordValue where the first parameter was a variable.)	
	
	C4\HoldsQueue.pm
	sub GetHoldsQueueItems
	
	Line 141:  $row->{parts} = GetRecordValue('parts',$record,'')->[0]->{subfield};
	Line 142:  $row->{numbers} = GetRecordValue('numbers',$record,'')->[0]->{subfield};
	
	GetHoldQueItems then is used in circ\view_holdsqueue.pl	
	But the values 'parts' and 'numbers' are not used in view_holdsque.tt
	
	With other words we have:
	
	'subtitle':  used at many places
	'parts':     not (yet?) used
	'numbers':   not (yet?) used
Comment 3 Katrin Fischer 2019-08-10 17:47:11 UTC
As of bug 11528 the keyword to marc mapping feature has been removed. This makes this bug a WONTFIX.